# Credit Check for Private Customer

Use this API to perform a credit assessment for a private individual (a consumer) based on their **social security number (Personal Number)**.

----


### Endpoint

```
POST https://demo-api.frontpayment.no/api/v1/connect//credit/check/private
```

### Authentication
Include a **Bearer Token** in the `Authorization` header. You can obtain this token from **Front Payment**.

**Example:**  
```
Authorization: Bearer YOUR_FRONTPAYMENT_BEARER_TOKEN
```

### Request Payload

Send the following parameters as a JSON object in the request body:

```json
{
    "personalId": "993344228",
    "countryCode": +47,
    "msisdn": 46xxxxxx45
}
```

### Validation Rules

Make sure your request meets the following requirements:

<table style="width: 100%">
  <thead>
    <tr>
      <th style="width: 260px">Field</th>
      <th style="width: 80px">Type</th>
      <th>Description</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td><code>personalId</code></td>
      <td><code>string</code></td>
      <td><strong>Required</strong> Personal Number.</td>
    </tr>
    <tr>
      <td><code>countryCode</code></td>
      <td><code>string</code></td>
      <td><strong>Optional</strong> Country code for the customer's phone number (e.g., "+47").</td>
    </tr>
    <tr>
      <td><code>msisdn</code></td>
      <td><code>string</code></td>
      <td><strong>Optional</strong> Mobile Subscriber ISDN Number (phone number).</td>
    </tr>
    
  </tbody>
  </table>


### Response

A successful request will return a `200 OK` status with the following JSON payload:

```json

    "status_code": 200,
    "status_message": "OK",
    "message": "creditCheckRequestedSuccessful",
    "is_data": false,
    "data": null
}
```

API returns a `500` or `510` error, it means something failed on the server side

```json
{
    "status_code": 510,
    "status_message": "Execution Exception Occurred",
    "message": "somethingWentWrong",
    "is_error": true,
    "errors": "Array"
}
```